/* vim: set sw=8: -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
#ifndef __MARLIN_RECENT_VIEW_H__
#define __MARLIN_RECENT_VIEW_H__

#include <gtk/gtkuimanager.h>

G_BEGIN_DECLS

#define MARLIN_RECENT_VIEW(obj)		G_TYPE_CHECK_INSTANCE_CAST (obj, marlin_recent_view_get_type (), MarlinRecentView)
#define MARLIN_RECENT_VIEW_CLASS(klass) 	G_TYPE_CHECK_CLASS_CAST (klass, marlin_recent_view_get_type (), MarlinRecentViewClass)
#define EGG_IS_RECENT_VIEW_EGG(obj)		G_TYPE_CHECK_INSTANCE_TYPE (obj, marlin_recent_view_get_type ())

typedef struct _MarlinRecentView MarlinRecentView;

typedef struct _MarlinRecentViewClass MarlinRecentViewClass;

struct _MarlinRecentViewClass {
	GObjectClass parent_class;
	
	void (*activate) (MarlinRecentView *view, EggRecentItem *item);
};

GType        marlin_recent_view_get_type (void);

MarlinRecentView * marlin_recent_view_new (GtkUIManager *merge);
gchar * marlin_recent_view_get_ui_path   (MarlinRecentView *view);
const GtkUIManager *marlin_recent_view_get_menu_merge (MarlinRecentView *view);

G_END_DECLS

#endif /* __MARLIN_RECENT_VIEW_H__ */
